package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.follow.FollowClue;
import cn.fw.valhalla.domain.dto.FollowClueDTO;
import cn.fw.valhalla.domain.query.CustomerCluePoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 跟进线索
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FollowClueMapper
 * @description : 跟进线索
 * @date : 2022-07-22 17:54
 */
@Repository
public interface FollowClueMapper extends BaseMapper<FollowClue> {
    /**
     * 客户线索池
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<FollowClueDTO> clueList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 总数
     * @param queryVO
     * @return
     */
    Long clueListCount(@Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 成交数
     * @param queryVO
     * @return
     */
    Long completeNum(@Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 战败数
     * @param queryVO
     * @return
     */
    Long defeatNum(@Param("condition") CustomerCluePoolQueryVO queryVO);

    /**
     * 进行中的数量
     * @param queryVO
     * @return
     */
    Long onGoingNum(@Param("condition") CustomerCluePoolQueryVO queryVO);
}
