package cn.fw.valhalla.domain.vo.customer;

import cn.fw.valhalla.common.utils.BeanUtils;
import cn.fw.valhalla.domain.db.MemberVehicle;
import cn.fw.valhalla.sdk.enums.CarUseTypeEnum;
import cn.fw.valhalla.sdk.enums.CusTypeEnum;
import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.util.Objects;


/**
 * 会员车辆
 *
 * @author : xiatian
 * @date: 2022-06-06
 */
@Data
@ToString
public class MemberVehicleVO {
    /**
     * id
     */
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 会员姓名
     */
    private String memberName;

    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 发动机号
     */
    private String engineNo;
    /**
     * 注册日期
     */
    private Date regDate;
    /**
     * 品牌
     */
    private String brandName;

    /**
     * 整车型号
     */
    private String specCode;
    /**
     * 车辆类型
     */
    private CusTypeEnum cusType;
    /**
     * 使用性质 1:非运营 2：运营
     */
    private CarUseTypeEnum useType;
    /**
     * 所有人
     */
    private String name;
    /**
     * 车牌号
     */
    private String plateNo;

    public String getCusTypeName() {
        return Objects.nonNull(cusType) ? cusType.getName() : null;
    }

    public String getUseType() {
        return Objects.nonNull(useType) ? useType.getName() : null;
    }

    public static MemberVehicleVO with(MemberVehicle memberVehicle) {
        MemberVehicleVO vo = BeanUtils.copy(memberVehicle,MemberVehicleVO.class);
        vo.setId(memberVehicle.getId());
        return vo;
    }

}
