package cn.fw.valhalla.rpc.shirasawa.dto;

import lombok.Data;
import lombok.ToString;

import java.util.Date;
import java.util.Map;

/**
 * @author : kurisu
 * @className : NewRecordDTO
 * @description : 生成待办参数
 * @date: 2022-01-17 10:46
 */
@Data
@ToString
public class NextRecordDTO {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 联系方式
     */
    private String contacts;
    /**
     * 车牌号 （售后用）
     */
    private String plateNo;
    /**
     * 数据类型
     */
    private Integer type;
    /**
     * 跟进人id
     */
    private Long userId;
    /**
     * 下次跟进时间
     */
    private Date nextDate;
    /**
     * 下次跟进的截止日期
     */
    private Date nextDeadline;
    /**
     * 待办参数
     */
    private Map<String, String> noteMap;
    /**
     * 上一个跟进记录的id（优先级最高）
     */
    private Long preRecordId;
    /**
     * 二次分配
     */
    private Boolean secondary;
}