package cn.fw.valhalla.sdk.param;

import cn.fw.valhalla.sdk.enums.DataTypeEnum;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author : kurisu
 * @className : FollowOriginalParam
 * @description : 跟进原始数据
 * @date: 2020-08-14 17:41
 */
@Data
@ToString
public class FollowOriginalParam {
    /**
     * 数据类型
     */
    @NotNull(message = "数据类型不能为空")
    private DataTypeEnum type;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 数据产生时间
     * [保险类型是为保险到期时间]
     */
    @NotNull(message = "产生时间不能为空")
    private Date generateTime;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;
    /**
     * 服务站id
     */
    @NotNull(message = "门店id不能为空")
    private Long shopId;
    /**
     * 业务id
     */
    @NotBlank(message = "业务id不能为空")
    private String detailId;
    /**
     * 业务人员id
     */
    private Long userId;
}
